package main

import (
	"log"
	"os"

	"code.osinet.fr/fgm/lbc/domain"
	"code.osinet.fr/fgm/lbc/web"
)

func main() {
	dic := resolve(os.Stdout, os.Args)

	logger := dic.MustService("logger").(*log.Logger)
	s, err := dic.Service("web")
	if err != nil {
		logger.Fatal(err)
	}
	server, ok := s.(*web.Server)
	if !ok {
		logger.Fatalf("incorrect type for web server: %T", s)
	}
	if err := server.Serve(make(chan domain.Empty)); err != nil {
		logger.Fatal(err)
	}
}
